summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorTeteros2020-12-07 16:02:10 +0000
committerTeteros2020-12-07 16:02:10 +0000
commitf5ee491abc3e955c2f89718fca8f7daf256832c3 (patch)
tree0f25fc19a1fb5521c35019b6adf4664cc5cb04f0 /PKGBUILD
parentf74176eaecf893b4c0d643ae482c10b874f4e384 (diff)
downloadaur-f5ee491abc3e955c2f89718fca8f7daf256832c3.tar.gz
6.5.84-1
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD13
1 files changed, 3 insertions, 10 deletions
diff --git a/PKGBUILD b/PKGBUILD
index 8f126f6c2c6..25cadb547c3 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -3,7 +3,7 @@
# Contributor: Jakob Gahde <j5lx@fmail.co.uk>
pkgname=radium
-pkgver=6.5.77
+pkgver=6.5.84
pkgrel=1
pkgdesc='A graphical music editor. A next generation tracker.'
arch=(x86_64)
@@ -25,7 +25,6 @@ depends=(
qt5-svg
qt5-webkit
qt5-x11extras
- shared-mime-info
speex
ttf-bitstream-vera
ttf-croscore
@@ -34,7 +33,6 @@ depends=(
makedepends=(
boost
cmake
- gcc9
ladspa
libxcursor
libxinerama
@@ -53,15 +51,13 @@ optdepends=(
options=(!strip)
source=("$pkgname-$pkgver.tar.gz::https://github.com/kmatheussen/radium/archive/$pkgver.tar.gz"
"https://github.com/grame-cncm/faust/releases/download/2.27.2/faust-2.27.2.tar.gz"
- downgrade-gcc-libpd.patch
use-updated-faust.patch
add-vstsdk-location-var.patch
)
-sha256sums=('e92c2bfd4331587098bad32e8f0be45afc81f7b4703ed9615f9a9788f57cb223'
+sha256sums=('0c2fd1c508a344e2421862ae4e63b8292bc1818c2dae472e5a92d2343822a1c8'
'c9b21de69253d5a02a779c2eed74491fc62209d86c24724b429f68098191c39c'
- '88d5a8d2d8074f7993e6fd8bafc84355bf0d1bb6405b391caa3d94f23755c1a0'
'8e6865eff42e0d1797a363f3ce6debfcdeab3aa0a4700f1bbca47916735ea8fd'
- '2466b88e345c48be43a835ee0001aac55189ce74b4181d3c4275e459089e7ccc')
+ '28ef8c1e8ffed45e39d8fac9b31c18902905eabea0322ee91bd1369a2e5f907f')
prepare() {
cd radium-$pkgver
@@ -69,9 +65,6 @@ prepare() {
# Add VST2SDK env var so we can use VST2 headers from steinberg-vst36 in AUR
patch -p1 < "$srcdir/add-vstsdk-location-var.patch"
- # https://github.com/kmatheussen/radium/issues/1298
- patch -p1 < "$srcdir/downgrade-gcc-libpd.patch"
-
# https://github.com/kmatheussen/radium/pull/1299
patch -p1 < "$srcdir/use-updated-faust.patch"